{php}
function hex2rgb($color){
    $color = str_replace('#', '', $color);
    if (strlen($color) != 6){ return array(0,0,0); }
    $rgb = array();
    for ($x=0;$x<3;$x++){
        $rgb[$x] = hexdec(substr($color,(2*$x),2));
    }
    return $rgb;
}
$color=hex2rgb($this->get_template_vars('WATERMARK_TEXT_COLOR'));
$this->assign('color',$color);
unset($color);
{/php}
{include file="header.tpl"}
<style type="text/css" media="all">@import "{$smarty.const.SITE_ROOT}/scripts/moorainbow/mooRainbow.css";</style>
<script type="text/javascript" src="{$smarty.const.SITE_ROOT}/scripts/mootools/mootools-1.2.1-core-yc.js"></script>
<script type="text/javascript" src="{$smarty.const.SITE_ROOT}/scripts/moorainbow/mootools-1.2-more.js"></script>
<script type="text/javascript" src="{$smarty.const.SITE_ROOT}/scripts/moorainbow/mooRainbow.js" ></script>
<script type="text/javascript">{literal}

window.addEvent('domready', function() {
	var r = new MooRainbow('myRainbow', {{/literal}
		'startColor': [{$color.0}, {$color.1}, {$color.2}],{literal}
		imgPath: 'tpl/images/moorainbow/',
		wheel:true,
		'onChange': function(color) {
			$('myInput').value = color.hex;
			$('testcolor').setStyle('background-color', color.hex);
		}
	});
});

function expandhide(el,el2)
{
		el.style.display='block';
		el2.style.display='none';
		document.getElementById('WATERMARK').checked=true;
}
function checkn(ev)
{
	var chcode;
	if (!ev) 
	ev = window.event;
	if (ev.keyCode) 
	chcode = ev.keyCode;
	else if (ev.which) 
	chcode = ev.which;

	if(String.fromCharCode(chcode)=="'")
	return false;
	if(chcode==8 || chcode==13 || chcode==37 || chcode==35 || chcode==36 || chcode==39 || chcode==37 || chcode==46 || chcode==33 || chcode==9)
	return true;
	if(chcode<48 || chcode>57)
	return false;
}


{/literal}
</script>
</head>
<body>

<div class="content">

Welcome {$usr}!

<table>
<tr valign="top">
<td></td>
<td rowspan=2>

	<div class="contentm">
	
		<h1>Options</h1>
		<br />
		{if $error}<b>Error: {$error}</b><br /><br />{/if}
		{if $posted && $error==''}<b style="color:red;">Options saved</b><br /><br />{/if}
			<form action="options.php?r=watermark" method="post">
				Watermark photos:&nbsp;<input id="WATERMARK" type="checkbox" name="WATERMARK" {if $WATERMARK=='1'}checked="checked"{/if}/><br /> <br />
	
					Position: {html_options name=WATERMARK_POSITION values=$positionval selected=$WATERMARK_POSITION output=$position} <br /><br />
					Watermark with:<br /><br />
					<b>Text</b> <input onclick="expandhide(document.getElementById('watermark_text'),document.getElementById('watermark_photo'));" type="radio" name="WATERMARK_WITH"  value="text" {if $posted=='1'}{if $WATERMARK_WITH=='text'}checked="checked"{/if}{else}{if $smarty.const.WATERMARK_WITH=='text'}checked="checked"{/if}{/if}/><br />
					<a style="color:black;" id="watermark_text" {if $WATERMARK_WITH!='text'}class="hiden"{/if}>
						<br />
						Watermark text: <input type="text" name="WATERMARK_TEXT" value="{$WATERMARK_TEXT}"/><br /><br />
						Color : <span style="color:blue;cursor:pointer;" id="myRainbow">Pick</span>      <input id="myInput" name="WATERMARK_TEXT_COLOR" type="text" size="7" maxlength="7" value="{$WATERMARK_TEXT_COLOR}"/> <span style="position:relative;left:10px;background-color:{$WATERMARK_TEXT_COLOR};" id="testcolor">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><br /><br />
						Use TTF font: <input type="checkbox" name="WATERMARK_FONT" {if $posted=='1'}{if $WATERMARK_FONT=='1'}checked="checked"{/if}{else}{if $smarty.const.WATERMARK_FONT=='1'}checked="checked"{/if}{/if}/><br /><br />
						TTF Font size: <input type="text" name="WATERMARK_FONT_SIZE" value="{$WATERMARK_FONT_SIZE}" size="4" maxlength="3" onkeypress="return checkn(event);" /><br /><br />
					</a> 
				
					<b>Image</b> <input onclick="expandhide(document.getElementById('watermark_photo'),document.getElementById('watermark_text'));" type="radio" name="WATERMARK_WITH" value="photo" {if $posted=='1'}{if $WATERMARK_WITH=='photo'}checked="checked"{/if}{else}{if $smarty.const.WATERMARK_WITH=='photo'}checked="checked"{/if}{/if}/><br /> <br />
					<a  style="color:black;" id="watermark_photo" {if $WATERMARK_WITH!='photo'}class="hiden"{/if}>
						{if $WATERMARK_PHOTO!=''}
							<img src="sp.php?photo={$WATERMARK_PHOTO|urlencode}" alt="" /><br /><br />
						{/if}
						<iframe src="fancyupload.php" marginwidth="0" marginheight="0" vspace="0" hspace="0" allowtransparency="true" frameborder="0" height="235" scrolling="no" width="450px"></iframe><br clear=all />
						Image will only be applied if it's not bigger than the photo width or height.
					</a>
				
				<br />
				<input type="submit" value="Save" class="ss"/>
			</form>
			
	</div>

</td>
</tr>
<tr valign="top">
<td>{include file="menuleft.tpl"}</td>
</tr>
</table>
{include file="footer.tpl"}