<?php
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/

/**
 * Project FancyUpload
 *
 * This file represents a simple logging, validation and output.
 *  *
 * WARNING: If you really copy these lines in your backend without
 * any modification, there is something seriously wrong! Drop me a line
 * and I can give you a good rate for fancy and customised installation.
 *
 * No showcase represents 100% an actual real world file handling,
 * you need to move and process the file in your own code!
 * Just like you would do it with other uploaded files, nothing
 * special.
 *
 * @license		MIT License
 *
 * @author		Harald Kirschner <mail [at] digitarald [dot] de>
 * @copyright	Authors
 *
 */

session_start();
require_once('../jadro/config.php');
@set_time_limit(0);

if($_SESSION['admin']!='')
{
	require_once('../jadro/libs/fastjson/fastjson.class.php');
	$result=array();

	if(!empty($_FILES))
	{

		$image=$_FILES['fancyupload-photoupload']['name'];

		if(!move_uploaded_file($_FILES['fancyupload-photoupload']['tmp_name'],DATAPATH.'/upload/' .$image ))
		{
			$result['result'] = 'error';
			$result['error'] = 'Missing file or internal error!'; //send error
		}
		else
		{
			$_SESSION['muluploadfile'][]=$image;
			$result['result'] = 'success';
			$result['size'] = "File successfully uploaded.";
		}
	}
	else
	{
		$result['result'] = 'error';
		$result['error'] = 'Missing file or internal error!';
	}


	if (!headers_sent() )
	{
		@header('Content-type: application/json');
	}

	echo FastJSON::encode($result);
}