/*********************************************************

* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org


License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/

function getdivtext(id)
{
	return document.getElementById(id).innerHTML;
}
function getinputvalue(id)
{
	return document.getElementById(id).value.trim();
}

function updatedivtext(id,txt)
{
	document.getElementById(id).innerHTML=txt;
}

function getselectedvalue(id)
{
	var t=document.getElementById(id);
	return t.options[t.selectedIndex].value;

}

function getselectedtext(id)
{
	var t=document.getElementById(id);
	return t.options[t.selectedIndex].text;
}

function photo_resetratings(id)
{
	photo_clearajaxinfo();
	if(confirm('Are you sure you want to reset the ratings?'))
	xajax_ajax_resetratings(id);
}

function photo_rate(id)
{
	photo_clearajaxinfo();
	var rating=getselectedvalue('ratevalue');
	xajax_ajax_addrating(rating,id);
}
function photo_deleteallcomments(id)
{
	photo_clearajaxinfo();
	if(confirm('Are you sure you want to delete all commments?'))
	xajax_ajax_deleteallcomments(id);
}

function photo_clearajaxinfo()
{
	var em=document.getElementsByName("ajaxinfo");

	for(var i=0;i<em.length;i++)
	em[i].innerHTML='';
}

function setloadingimg(id)
{
	document.getElementById(id).innerHTML='<img src="tpl/images/s.gif" alt="" style="border:0" />';
}
function photo_deletecomment(id)
{
	photo_clearajaxinfo();
	if(confirm('Are you sure you want to delete the comment?'))
	xajax_ajax_deletecomment(id);
}

function photo_savephoto(id)
{

	setloadingimg('ajaxinfo_savephoto');
	document.getElementById('savephoto').disabled=true;
	var ar=new Array();
	ar['id']=id;
	ar['photodesc']=getinputvalue('photodesc');
	ar['caption']=getinputvalue('caption');
	ar['categoryid']=getselectedvalue('c');

	ar['photo_month']=getinputvalue('photo_month');
	if(ar['photo_month']!='')
	{
		if(ar['photo_month']>12 || ar['photo_month']<1)
		{
			savephotoenable();
			updatedivtext('ajaxinfo_savephoto','');
			alert('Invalid date - month');
			return;
		}
	}
	
	ar['photo_day']=getinputvalue('photo_day');
	if(ar['photo_day']!='')
	{
		if(ar['photo_day']>31 || ar['photo_day']<1)
		{
			updatedivtext('ajaxinfo_savephoto','');
			savephotoenable();
			alert('Invalid date - day');
			return;
		}
	}
	
	ar['photo_year']=getinputvalue('photo_year');
	if(ar['photo_year']!='')
	{
		if(ar['photo_year']>5000 || ar['photo_year']<1)
		{
			updatedivtext('ajaxinfo_savephoto','');
			savephotoenable();
			alert('Invalid date - year');
			return;
		}
		if(ar['photo_month']=='')
		{
			updatedivtext('ajaxinfo_savephoto','');
			savephotoenable();
			alert('Invalid date - month');
			return;
		}
	
	}
	else
	{
		if(ar['photo_day']!='' || ar['photo_month']!='')
		{
			updatedivtext('ajaxinfo_savephoto','');
			savephotoenable();
			alert('Invalid date - year');
			return;
		}
	}
	
	var wt=document.getElementById('WATERMARK');
	if(!wt.checked)
	ar['WATERMARK']=0;
	else
	ar['WATERMARK']=1;

	wt=document.getElementById('EXIF');
	if(!wt.checked)
	ar['EXIF']=0;
	else
	ar['EXIF']=1;
	
	wt=document.getElementById('FAVORITE');
	if(!wt.checked)
	ar['featured']=0;
	else
	ar['featured']=1;

	xajax_ajax_savephoto(ar);

}

function album_savealbum(id)
{
	setloadingimg('ajaxinfo_savealbum');
	document.getElementById('savephoto').disabled=true;
	var ar=new Array();
	ar['catid']=id;
	ar['desc']=getinputvalue('albumdesc');
	ar['newcatname']=getinputvalue('caption');
	ar['newparentcat']=getselectedvalue('c');
	var wt=document.getElementById('WATERMARK');
	if(!wt.checked)
	ar['WATERMARK']=0;
	else
	ar['WATERMARK']=1;
	//ar['meta_desc']=getinputvalue('meta_desc');

	xajax_ajax_savealbum(ar);
}

function savephotoenable()
{
	document.getElementById('savephoto').disabled=false;
}

function photo_delete(id)
{
	if(confirm('Are you sure you want to delete this photo?'))
	xajax_ajax_deletephoto(id);
}
function album_delete(id)
{
	if(confirm('Are you sure you want to delete the album?\nAll subalbums and photos will be deleted!'))
	xajax_ajax_deletealbum(id);
}

function js_addcomment(comment)
{
	setloadingimg('ajaxinfo_commentsubmit');
	var c=getdivtext('allcomments');
	c=c+ '<div id="comment_'+comment['id']+'"><div class="comment"><div class="name">'+ comment['comment_name'] +' <b>says:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:photo_deletecomment('+ comment['id'] +');">Delete Comment</a></div><div class="com">'+ comment['comment_info'] +'</div><br /></div></div>';
	updatedivtext('allcomments',c);
}

function photo_addcomment(id)
{
	var comment=new Array();
	comment['comment_name']=getinputvalue('comment_name');
	comment['comment_info']=getinputvalue('comment_info');
	comment['id']=id;
	xajax_ajax_addcomment(comment);
}

function photo_approvecomment(id)
{
	if(confirm('Are you sure you want to approve this comment?'))
	xajax_ajax_approvecomment(id);
}

function save_weight_numbers(t,tid)
{
	setloadingimg('weightnumber_ajax_image_'+t+'_'+tid);
	
	var	nums=new Array();
	var wnumbers=new Array();
	var id=0;
	
	nums=document.getElementsByName('weightnumber_' + t);
	
	for(var i=0;i<nums.length;i++)
	{
		id=getsplitval(nums[i].id,'_',2);
		wnumbers[id]=nums[i].value.trim();
	}
	
	document.getElementById('weightnumber_hyperlink_'+t+'_'+tid).onclick=function(){return false;};
	xajax_ajax_save_weight_numbers(t,wnumbers);
}

function getsplitval(str,stext,num)
{
	var tmp=new Array();
	tmp=str.split(stext);
	
	return tmp[num];
	
}

function deleteallcontacts()
{
	photo_clearajaxinfo();
	if((confirm("Are you sure you want delete ALL CONTACTS?")))
	xajax_deleteallcontacts();
}
function del_contact(id)
{
	photo_clearajaxinfo();
	if((confirm("Are you sure you want delete contact id " + id)))
	xajax_del_contact(id);
}

function clearinfoajax()
{
	var em=document.getElementsByName("infoajax");

	for(var i=0;i<em.length;i++)
	em[i].innerHTML='';
}

function refresh()
{
	window.location=location.href;
}

function clear(obj)
{
	obj.value='';
	obj.innerHTML='';
}
