<?php
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/


function pages($params,&$smarty)
{

	$all=$params['numitems'];
	$br=$params['itemsperpage'];
	$s=explode('_',$params['numon']);
	$up=array();

	if($_GET['s']!='')
	$_GET['s']=urlencode($_GET['s']);

	if(REWRITE_ENABLED==1)
	{
		if($_GET['s']=='')
		{
			$up[0]='page-';
			$up[1]='.html';
			if($_GET['l']!='')
			{
				$up[0]=$smarty->get_template_vars('photol') . '-'.'photos.html?p=';
				$up[1]='';
			}
				
		}
		else
		{
			$up[0]='search.php?s='. $_GET['s']. '&amp;p=';
			$up[1]='';
		}
	}
	else
	{
		$up[0]=str_replace(';','',$params['p_pattern']);
		$up[1]='&amp;c=' .$smarty->get_template_vars('categoryid');
		if($_GET['s']!='')
		$up[1]='&amp;s=' . $_GET['s'];
		
		if($_GET['l']!='')
		{
			$up[0]='index.php?l=' . $smarty->get_template_vars('l') . '&amp;p=';
			$up[1]='';
		}
	}


	if($all>$br)
	{
		$tmp=$all % $br;
		if($tmp!=0)
		$pages=($all-$tmp)/$br+1;
		else
		$pages=$all/$br;
	}
	else
	$pages='1';


	if ($_GET['p']!='')
	$page_num=intval($_GET['p']);
	else
	$page_num=1;

	$content='';

	if($_GET['c']!='')
	$_GET['c']=intval($_GET['c']);

	if($page_num>1)
	{
		if($_GET['l']=='')
		{
			$content.= "<a href='".(isset($_GET['s'])?$up[0].$up[1]:(REWRITE_ENABLED=='1'? './':'index.php?c=' . $_GET['c'])). "'>{$params['btn_first']}</a>";
			$content.= "{$params['separator']}<a href='".(($page_num-1)!=1?($up[0].($page_num-1).$up[1]):
			(isset($_GET['s'])?'search.php?s='.$_GET['s']:(REWRITE_ENABLED==1 ?'./':'index.php?c=' .$_GET['c'])))."'>{$params['btn_prev']}</a>";
		}
		else
		{
			if(REWRITE_ENABLED==1)
			$o=str_replace('?p=','',$up[0]).$up[1];
			else
			$o=str_replace('&amp;p=','',$up[0]).$up[1];
			
			$content.= "<a href='". $o . "'>{$params['btn_first']}</a>";
			$content.= "{$params['separator']}<a href='".((($page_num-1)==1)?$o:$up[0].($page_num-1).$up[1])."'>{$params['btn_prev']}</a>";
		}

	}
	if($pages!=1)
	{
		$content.= "{$params['separator']}{$params['str']}{$params['separator']}";

		$k=0;
		if($page_num<=9)
		{

			while($k<10 && $k<=$pages-1)
			{
				$mk=$k+1;

				if($mk!=$page_num)
				{
					if($mk!=1)
					$content.= "{$params['separator']}<a class='{$params['class_num']}' href='".$up[0]. $mk.$up[1] ."'>" . $mk . "</a>";
					else
					{
						if($_GET['l']=='')
						$content.= "{$params['separator']}<a class='{$params['class_num']}' href='".(isset($_GET['s']) ? 'search.php?s='.$_GET['s']:(REWRITE_ENABLED==1 ? './':'index.php?c='.$_GET['c'])) ."'>" . $mk . "</a>";
						else
						$content.= "{$params['separator']}<a class='{$params['class_num']}' href='". $o ."'>" . $mk . "</a>";
					}
				}
				else
				{
					$content.= "{$params['separator']}{$s[0]}<span class='{$params['cl_numon']}'>$mk</span>{$s[1]}";
				}

				$k++;
			}
			if(($k-1)<=$pages){$content.= ' ...';}
		}
		else
		{
			$content.= ' ... ';
			$z = $page_num - 4;
			while($z<$page_num+5 && $z<=$pages)
			{
				if($z!=$page_num)
				{
					$content.= "{$params['separator']}<a class='{$params['class_num']}' href='".$up[0].$z.$up[1]. "'>" . $z . "</a>";
				}
				else
				{
					$content.= "{$params['separator']}{$s[0]}<span class='{$params['cl_numon']}'>$z</span>{$s[1]}";
				}
				$z++;
			}
			if(($z-1)<$pages) { $content.= ' ...'; }
		}
		$content.= ' of total ' . "<a class='{$params['class_num']}' href='".$up[0].$pages.$up[1]."'>" . $pages . "</a>";
		if(!(($page_num+1)>$pages))
		$content.= " &nbsp;<a href='".$up[0].($page_num+1).$up[1] ."'>{$params['btn_next']}</a>";
	}
	return $content;
}

function title($params,&$smarty)
{

	$rep='';
	echo $params['prefix'];
	if ($params['title']!='' || $smarty->get_template_vars('title')!='')
	{
		echo $params['after_title'] . ($params['title']!=''?$params['title']:$smarty->get_template_vars('title'));
		return '';
	}

	if($smarty->get_template_vars('uri')!='')
	{
		echo $params['after_title'];
		echo str_replace('/',$params['separator'],str_replace('-',' ',rawurldecode($smarty->get_template_vars('uri'))));
		if($smarty->get_template_vars('page')!='1' && $smarty->get_template_vars('page')!='')
		{
			echo $params['after_categ'];
			echo 'Page';
			echo ' - ' . $smarty->get_template_vars('page');
		}
		return '';
	}

	if($_GET['s']!='')
	{
		echo $params['after_title'] .'Search'.$params['after_categ'] . $smarty->get_template_vars('search');
		return '';
	}

	return '';
}

function nav($params,&$smarty)
{
	$rep='';
	$classurl=$params['class_url']!=''?' class="' . $params['class_url'] . '"' :'';

	echo '<a href="' .  SITE_URL . '"'.$classurl . ' >' . SITE_TITLE . '</a>';

	if($_GET['s']!='')
	{
		echo $params['separator'] .'Search'.$params['separator'] . $smarty->get_template_vars('search');
		return '';
	}

	if($smarty->get_template_vars('uri')!='')
	{
		if(REWRITE_ENABLED=='1')
		{
			$nav=explode('/',$smarty->get_template_vars('uri'));
			$ni=count($nav);
			if($ni>=1)
			{
				$tmp=$nav[0];
				for($i=0;$i<$ni;$i++)
				{
					echo $params['separator'];
					if($params['class_last']!='' && $i==($ni-1) && $smarty->get_template_vars('page')=='1')
					$classurl=' class="' . $params['class_last'] . '"';
					echo '<a ' .$classurl . ' href="'.SITE_ROOT.'/' . $tmp . '/">' . str_replace('-',' ',rawurldecode($nav[$i])) . "</a>";
					$tmp.='/'. $nav[$i+1];
				}
			}
			else
			{
				echo $params['separator'];
				echo '<a ' .$classurl . ' href="'.SITE_ROOT.'/'. $smarty->get_template_vars('uri') . '/">' . str_replace('-',' ',rawurldecode($smarty->get_template_vars('uri'))) . "</a>";
			}
		}
		else
		{
			$nav=explode('/',$smarty->get_template_vars('chid'));
			$ar=explode('/',$smarty->get_template_vars('uri'));
			$ni=count($nav);
			if($ni>=1)
			{
				for($i=0;$i<$ni;$i++)
				{
					echo $params['separator'];
					if($params['class_last']!='' && $i==($ni-1) && $smarty->get_template_vars('page')=='1')
					$classurl=' class="' . $params['class_last'] . '"';
					echo '<a ' .$classurl . ' href="index.php?c='.$nav[$i] . '">' . str_replace('-',' ',rawurldecode($ar[$i])) . "</a>";
				}
			}
			else
			{
				echo $params['separator'];
				echo '<a ' .$classurl . ' href="'.SITE_ROOT.'/'. $smarty->get_template_vars('uri') . '/">' . str_replace('-',' ',rawurldecode($smarty->get_template_vars('uri'))) . "</a>";
			}
		}
		if($smarty->get_template_vars('page')!='1' && $smarty->get_template_vars('page')!='')
		{
			if($params['class_last']!='')
			echo $params['separator'] ."<a class='" . $params['class_last']."'>" . 'Page'." " . $smarty->get_template_vars('page') . "</a>";
			else
			echo $params['separator'].'Page'.' ' .$smarty->get_template_vars('page');
		}
	}

	if($smarty->get_template_vars('navpost')!='')
	echo $params['separator'] . $smarty->get_template_vars('navpost');

	echo $params['postfix'];
	return '';
}
$smarty->register_function('title','title');
$smarty->register_function('nav','nav');
$smarty->register_function('pages','pages');